• Vítejte na XBMC-Kodi.cz
  • Česko-slovenská komunita fanoušků XBMC/Kodi
Vítejte návštevníku! Přihlášení Registrace


Hodnocení tématu:
  • 0 Hlas(ů) - 0 Průměr
  • 1
  • 2
  • 3
  • 4
  • 5
rtvs plugin a inputstream.adaptive problem
#1
Ahoj,
nemate niekto problem s rtvs pluginom po upgrade Kodi na 18.2?  Ja pouzivam osmc distribuciu na raspberry. Po upgrade (automatickom) na 18.2RC1 mi vsetky ostatne pluginy funguju ale rtvs prestal prehravat media.
V logu je takato hlaska
Kód:
2019-05-13 09:45:17.418 T:1369432800   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                            - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                           Error Type: <type 'exceptions.ValueError'>
                                           Error Contents: invalid literal for float(): 18.2-RC1
                                           Traceback (most recent call last):
                                             File "/home/osmc/.kodi/addons/plugin.video.rtvs.sk/default.py", line 111, in <module>
                                               RtvsXBMCContentProvider(rtvs.RtvsContentProvider(tmp_dir=xbmc.translatePath(__addon__.getAddonInfo('profile'))), settings, __addon__).run(params)
                                             File "/home/osmc/.kodi/addons/script.module.stream.resolver/lib/contentprovider/xbmcprovider.py", line 87, in run
                                               return self.play({'url': params['play'], 'info': params})
                                             File "/home/osmc/.kodi/addons/plugin.video.rtvs.sk/default.py", line 41, in play
                                               stream = self.resolve(item['url'])
                                             File "/home/osmc/.kodi/addons/plugin.video.rtvs.sk/default.py", line 104, in resolve
                                               return self.provider.resolve(item, select_cb=select_cb)
                                             File "/home/osmc/.kodi/addons/plugin.video.rtvs.sk/resources/lib/rtvs.py", line 326, in resolve
                                               if is_kodi_leia():
                                             File "/home/osmc/.kodi/addons/plugin.video.rtvs.sk/resources/lib/rtvs.py", line 92, in is_kodi_leia
                                               if (float(version) >= 18):
                                           ValueError: invalid literal for float(): 18.2-RC1
                                           -->End of Python script error report<--

A na riadku 92 je toto:



Kód:
  if (float(version) >= 18):
       #chceck if is inputstream.adaptive present
       payload = {'jsonrpc': '2.0','id': 1,'method': 'Addons.GetAddonDetails','params': {'addonid': 'inputstream.adaptive','properties': ['enabled']}}
       response = xbmc.executeJSONRPC(json.dumps(payload))

Pozeral som sa teda, ci mam enablovany inputstream.adaptive (kodi gui) a to mam.
Nestretli ste sa s podobnym problemom? Alebo nemate niekto napad - iny ako reinstalovat to na kodi 17.

Dik. LF
 
Citovat
#2
@lf2 Autor addon rtvs nedomyslel fakt, že označení verze nemusí mít jen tvar float čísla, např. "18.1", ale také něco jako "18.2-RC1".

Rada? Buď opravit addon (je to jednoduchá provizorní úprava nainstalované verze addon) nebo přejít s Kodi na nějakou finální verzi. Buď zpět na 18.1 nebo na 18.2, tedy pokud je pro tvou platformu již k dispozici.

Myslím, že se tady addon rtvs a jeho úpravy už řešily, takže si najdi na fóru to téma a zeptej se tam. Pokud by tam nikdo nebyl schopný či ochotný ti pomoci s provizorní  úpravou addon (pokud se pro ni rozhodneš), dej vědět.

Každopádně by bylo vhodné to autorovi addon rtvs nahlásit jako chybu.
 
Citovat
#3
Uz som to nasiel. Problem je v tej samotnej podmienke. Hodnota "18.2.RC1" sa neda previest na float. Vidim, ze to uz niekto aj zalogoval ako bug. Zatial som tu podmienku opravil u seba. Snad to daju do poriadku.
 
Citovat
#4
Tu upravu na adaptive som robil ja, inak to vobec neslo v Leia (a ze som zabil casu nad tym najst nejake riesenie).. Nemal som tucha, ze tam takto byva aj RC, zatial som pouzival len stable verzie.
Ked si to nasiel a aj u seba upravil a spolahlivo to odlisi Leia a aj buduce verzie, tak vytvor pull request na gite, aby to tam pridali..
 
Citovat
#5
Mne na najnovšom CoreELECu 9.0.2 s KODI 18.2 všetko funguje.
X96 S905X 2GB/16GB, CoreELEC 9.2.1 KODI 18.5 in internal
 
Citovat
#6
@orlov iste, pretoze tvoja verzia je "18.2" cize pekny float, nie "18.2-RC1" :)

Chybu uz na githube opravil "matejmosko", ale nezvysil verziu pluginu, takze sa nedistribuuje.. Uz je pullrequest pre verziu 1.8.1, treba len pockat.
 
Citovat
#7
(14.5.2019, 10:48)orlov Napsal(a): Mne na najnovšom CoreELECu 9.0.2 s KODI 18.2 všetko funguje.

Zdravíčko ja mám tiež coreeleec a mne tiež nefunguje RTVS. Akurát ja mám problem aj nainštalovať InputStream. Ako sa ti to podarilo? Mne inštalácia stále zlyhá.
 
Citovat
#8
Choď do: Doplnky/Moje doplnky/VideoPlayer InputStream/, kde ho treba len aktivovať, nič netreba inštalovať.

X92.. X96 max.. T95Z plus.. M8s plus..
 
Citovat
#9
playman22...kdepak... v CoreElec 9.0.2 se musí instalovat z repozitáře;-)
Nejlépe udělá když mrkne na log a nebo provede čistou instalaci.
 
Citovat
#10
Dobre vedieť :-) to tu mám rád, človek sa vždy dozvie niečo nové

X92.. X96 max.. T95Z plus.. M8s plus..
 
Citovat
  


Přejít na fórum:


Prochází: 1 host(ů)